Subject: GNU Pascal Binaries
From: [email-masked] (Eric Gustafson)
Date: 16 Jun 1994 17:23:49 GMT
Newsgroups: comp.os.linux.announce

I have placed the compiled version of GNU Pascal (gpc) on sunsite.
Below is the README.linux which explains the how and where of getting
and building gpc from scratch as well as how to install the binaries.

The binaries are in /pub/Linux/Incoming/gpc-2.5.8-bin.tar.gz now and I
assume they will go into /pub/Linux/devel/pascal as soon as Erik
cleans out Incoming (again, and again, and again, and .... :)

README.linux:
---------------------------- (snipit here) ---------------------------
Here are the binaries for GNU Pascal (gpc).  Untar the tar file in /.
I am pretty sure that this will only work if you are running gcc 2.5.8
and have it installed the same way that it comes from tsx-11 or
sunsite (i.e. gcc -v returns:

  Reading specs from /usr/lib/gcc-lib/i486-linux/2.5.8/specs
  gcc version 2.5.8

If you have gcc installed else where I'm assuming you installed it
your self and can therefore install gpc as well (see below).

The documentation is in /usr/src/gpc-2.5.8.  To compile pascal source
use the 'gpc' command in /usr/bin, not gcc.  

HOW TO BUILD GPC FOR LINUX
--------------------------

Well all I did was get the source from kampi.hut.fi:/jtv/gnu-pascal,
read the instructions and compile it.  I did not need to make any
modifications to the code to get it to compile, although it should be
noted that you need to have the object files from GCC so you have to
compile gcc first.

Below are the steps I took to compile GPC (and GCC)

  ftp gcc-2.5.8.tar.gz and gpc-2.5.7-jan20.tar.gz

% tar -xvzf gcc-2.5.8.tar.gz
% cd gcc-2.5.8
% configure --target=i486-linux --prefix=/usr
% make LANGUAGES=c
% cd ..
% tar -xvzf gpc-2.5.7-jan20.tar.gz           # untars into ./2.5.7
% cd 2.5.7
% configure --gccdir=../gcc-2.5.8 --gccsrc=../gcc-2.5.8
% make
% make install

NOTE: GCC does not have to be re-installed if it (the same version) is
already installed.

-------------------------------------------------------------------------
LSM Entry:

Begin2
Title        = GNU Pascal (binaries)
Version      = 1.0.?  (gcc-2.5.8)
Desc1        = A pascal front end to the GCC compiler engine.
Author       = Jukka Virtanen
AuthorEmail  = [email-masked]
Site1        = sunsite.unc.edu
Path1        = /pub/Linux/devel/pascal
File1        = gpc-2.5.8-bin.tar.gz
FileSize1    = 776284
Site2        = kampi.hut.fi
Path2        = /jtv/gnu-pascal
File2        = gpc-2.5.6-jan20.tar.gz
FileSize2    = 627744
Required1    = gcc-2.5.8 installed w/ prefix=/usr.  This is
Required2    = how the binary distribution for linux comes.
CopyPolicy1  = GNU GPL and GNU Library GPL
Keywords     = compiler pascal
Entered      = 14JUN94
EnteredBy    = Eric Gustafson <[email-masked]>
End
-------------------------- (End snipit) -------------------------------

--
Eric Gustafson                                      [email-masked]
Electrical Engineering                               [email-masked]
University of Houston                                 Phone: (713) 265-9430
** Warning ** Planet is 97% full please remove unneeded inhabitants !!

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.